<?php
set_time_limit(180);
//@ini_set('implicit_flush', 1);

include ("base/elemento.class.php");
include ("base/categoria.class.php");
////include ("include/images.class.php");

class enviamail extends elemento{
	
	
	function enviamail() {
        
        $c= new categoria;

    }
	

	
	function guardar($id=""){
		
		//print "g";
		$f= new form($id, "" , $this->req);
		$f->titulo("Envia Mail");
				
		include("include/mail/mailEnvia.inc.php");
		$m= new mailEnvia();


		//$this->req['texto'] = str_replace("\r\n", "\n", $this->req['texto']);
		
		//print $this->req['texto'];
		
		$m->assunto=utf8_decode($this->req['assunto']);
		$m->texto=utf8_decode($this->req['texto']);
		
		if ($mailDebug) var_dump($m);
		
		$m->sendTo();
		
		//$f->mostra("listar");	
	}
	
	function enviar($id=""){
		$this->guardar($id);
	}
	

	
	
	function editar($id=""){
		
		//echo "";	
		$f= new form($id, "" , $this->req);
		$f->titulo("Envia Mail");
		$f->campoTexto("Assunto","assunto", "required" );
		$f->campoAreaTexto("Texto","texto", "required" );
		$f->mostra("Enviar");

	}
	
	function listar(){
 		$this->editar();
	}

}
?>
